%define anolis_release 1

%global glib2_version 2.45.8
%global json_glib_version 1.1.2
%global gdk_pixbuf_version 2.31.5

Summary:   Library for AppStream metadata
Name:      libappstream-glib
Version:   0.8.3
Release:   %{anolis_release}%{?dist}
License:   LGPL-2.1-or-later
URL:       http://people.freedesktop.org/~hughsient/appstream-glib/
Source0:   http://people.freedesktop.org/~hughsient/appstream-glib/releases/appstream-glib-%{version}.tar.xz

BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel
BuildRequires: gperf
BuildRequires: gettext
BuildRequires: libstemmer-devel
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2) >= 9.10.0
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= %{gdk_pixbuf_version}
BuildRequires: pkgconfig(gio-2.0) >= 2.58.0
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.58.0
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gmodule-2.0) >= 2.58.0
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(json-glib-1.0) >= %{json_glib_version}
BuildRequires: pkgconfig(libarchive)
BuildRequires: pkgconfig(libcurl) >= 7.56.0
BuildRequires: pkgconfig(rpm)
BuildRequires: pkgconfig(uuid)
BuildRequires: pkgconfig(yaml-0.1)
BuildRequires: meson >= 0.46.0

# for the manpages
BuildRequires: libxslt
BuildRequires: docbook-style-xsl

# Make sure we pull in the minimum required versions
Requires: gdk-pixbuf2 >= %{gdk_pixbuf_version}
Requires: glib2 >= %{glib2_version}
Requires: json-glib >= %{json_glib_version}

# no longer required
Obsoletes: appdata-tools < 0.1.9
Provides: appdata-tools

# Removed in F30
Obsoletes: libappstream-glib-builder-devel < 0.7.15

# this is not a library version
%define as_plugin_version               5

%description
This library provides GObjects and helper methods to make it easy to read and
write AppStream metadata. It also provides a simple DOM implementation that
makes it easy to edit nodes and convert to and from the standardized XML
representation.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: GLib Libraries and headers for appstream-glib
Requires: %{name} = %{version}-%{release}

%description devel
GLib headers and libraries for appstream-glib.

%package builder
Summary: Library and command line tools for building AppStream metadata
Requires: %{name} = %{version}-%{release}
Recommends: pngquant

%description builder
This library and command line tool is used for building AppStream metadata
from a directory of packages.

%prep
%autosetup -p1 -n appstream-glib-%{version}

%build
%meson \
    -Dgtk-doc=true \
    -Ddep11=false
%meson_build

%install
%meson_install

%find_lang appstream-glib

%files -f appstream-glib.lang
%license COPYING
%{_libdir}/libappstream-glib.so.8*
%{_libdir}/girepository-1.0/*.typelib
%{_bindir}/appstream-util
%{_bindir}/appstream-compose
%{_datadir}/bash-completion/completions/appstream-util
%{_mandir}/man1/appstream-util.*
%{_mandir}/man1/appstream-compose.*

%files doc
%doc README.md AUTHORS NEWS

%files devel
%{_libdir}/libappstream-glib.so
%{_libdir}/pkgconfig/appstream-glib.pc
%dir %{_includedir}/libappstream-glib
%{_includedir}/libappstream-glib/*.h
%{_datadir}/gtk-doc/html/appstream-glib
%{_datadir}/gir-1.0/AppStreamGlib-1.0.gir
%{_datadir}/aclocal/*.m4
%{_datadir}/installed-tests/appstream-glib/*.test
%{_datadir}/gettext/its/appdata.its
%{_datadir}/gettext/its/appdata.loc

%files builder
%license COPYING
%{_bindir}/appstream-builder
%{_datadir}/bash-completion/completions/appstream-builder
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_appdata.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_desktop.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_font.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_gettext.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_hardcoded.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_icon.so
%{_libdir}/asb-plugins-%{as_plugin_version}/libasb_plugin_shell_extension.so
%{_mandir}/man1/appstream-builder.*

%changelog
* Mon Feb 24 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 0.8.3-1
- update to 0.8.3 from 0.8.2
- Drop support for libstemmer
- Migrated to SPDX license

* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.2-2
- Rebuild for remove inappropriate build dependencies.

* Mon Nov 21 2022 Funda Wang <fundawang@yeah.net> - 0.8.2-1
- New version 0.8.2

* Fri Sep 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.1-1
- update to 0.8.1

* Tue Jul 12 2022 happy_orange <songnannan@linux.alibaba.com> - 0.7.18-1
- Init pcakage from upstream
